module: dylan-user
author: Matthias Hlzl
copyright: Copyright (c) 1999, Matthias Hlzl

// Library definition.
//
// This interface works with gtk+-1.1.13.

define library Gtk-Base
  use Dylan;
  use Melange-Support;
  export Gtk-Base;
end library Gtk-Base;

define module Gtk-Base
  use Dylan;
  use Extensions;
  use Melange-Support;
  export
    // <gtk-arrow-type>,
    $gtk-arrow-up, $gtk-arrow-down,
    $gtk-arrow-left, $gtk-arrow-right,
    // <gtk-attach-options>,
    $gtk-expand, $gtk-shrink, $gtk-fill,
    // <gtk-button-box-style>,
    $gtk-buttonbox-default-style,
    $gtk-buttonbox-spread, $gtk-buttonbox-edge,
    $gtk-buttonbox-start, $gtk-buttonbox-end,
    // <gtk-curve-type>,
    $gtk-curve-type-linear, $gtk-curve-type-spline,
    $gtk-curve-type-free,
    // <gtk-direction-type>,
    $gtk-dir-tab-forward, $gtk-dir-tab-backward,
    $gtk-dir-up, $gtk-dir-down, $gtk-dir-left, $gtk-dir-right,
    // <gtk-justification>,
    $gtk-justify-left, $gtk-justify-right,
    $gtk-justify-center, $gtk-justify-fill,
    // <gtk-match-type>,
    $gtk-match-all, $gtk-match-all-tail, $gtk-match-head,
    $gtk-match-tail, $gtk-match-exact, $gtk-match-last,
    // <gtk-menu-direction-type>,
    $gtk-menu-dir-parent, $gtk-menu-dir-child,
    $gtk-menu-dir-next, $gtk-menu-dir-prev,
    // <gtk-menu-factory-type>,
    $gtk-menu-factory-menu, $gtk-menu-factory-menu-bar,
    $gtk-menu-factory-option-menu,
    // <gtk-metric-type>,
    $gtk-pixels, $gtk-inches, $gtk-centimeters,
    // <gtk-orientation>,
    $gtk-orientation-horizontal, $gtk-orientation-vertical,
    // <gtk-corner-type>,
    $gtk-corner-top-left, $gtk-corner-bottom-left,
    $gtk-corner-top-right, $gtk-corner-bottom-right,
    // <gtk-pack-type>,
    $gtk-pack-start, $gtk-pack-end,
    // <gtk-path-priority-type>,
    $gtk-path-prio-lowest, $gtk-path-prio-gtk,
    $gtk-path-prio-application, $gtk-path-prio-rc,
    $gtk-path-prio-highest, $gtk-path-prio-mask,
    // <gtk-path-type>,
    $gtk-path-widget, $gtk-path-widget-class,
    $gtk-path-class,
    // <gtk-policy-type>,
    $gtk-policy-always, $gtk-policy-automatic,
    $gtk-policy-never,
    // <gtk-position-type>,
    $gtk-pos-left, $gtk-pos-right,
    $gtk-pos-top, $gtk-pos-bottom,
    // <gtk-preview-type>,
    $gtk-preview-color, $gtk-preview-grayscale,
    // <gtk-relief-style>,
    $gtk-relief-normal, $gtk-relief-half, $gtk-relief-none,
    // <gtk-resize-mode>,
    $gtk-resize-parent, $gtk-resize-queue,
    $gtk-resize-immediate,
    // <gtk-signal-run-type>,
    $gtk-run-first, $gtk-run-last, $gtk-run-both,
    $gtk-run-no-recurse, $gtk-run-action,
    $gtk-run-no-hooks,
    // <gtk-scroll-type>,
    $gtk-scroll-none,
    $gtk-scroll-step-backward, $gtk-scroll-step-forward,
    $gtk-scroll-page-backward, $gtk-scroll-page-forward,
    $gtk-scroll-jump,
    // <gtk-selection-mode>,
    $gtk-selection-single, $gtk-selection-browse,
    $gtk-selection-multiple, $gtk-selection-extended,
    // <gtk-shadow-type>,
    $gtk-shadow-none, $gtk-shadow-in, $gtk-shadow-out,
    $gtk-shadow-etched-in, $gtk-shadow-etched-out,
    // <gtk-state-type>,
    $gtk-state-normal, $gtk-state-active, $gtk-state-prelight,
    $gtk-state-selected, $gtk-state-insensitive,
    // <gtk-submenu-direction>,
    $gtk-direction-left, $gtk-direction-right,
    // <gtk-submenu-placement>,
    $gtk-top-bottom, $gtk-left-right,
    // <gtk-toolbar-style>,
    $gtk-toolbar-icons, $gtk-toolbar-text,
    $gtk-toolbar-both,
    // <gtk-trough-type>,
    $gtk-trough-none, $gtk-trough-start,
    $gtk-trough-end, $gtk-trough-end,
    // <gtk-update-type>,
    $gtk-update-continuous, $gtk-update-discontinuous,
    $gtk-update-delayed,
    // <gtk-visibility>,
    $gtk-visibility-none, $gtk-visibility-partial,
    $gtk-visibility-full,
    // <gtk-window-position>,
    $gtk-win-pos-none, $gtk-win-pos-center,
    $gtk-win-pos-mouse,
    // <gtk-window-type>,
    $gtk-window-toplevel, $gtk-window-dialog,
    $gtk-window-popup,
    // <gtk-sort-type>,
    $gtk-sort-ascending, $gtk-sort-descending,
    // <gtk-type>,
    // <gtk-type-object>,
    // <gtk-type-class>,
    // <gtk-arg>,
    // <gtk-type-info>,
    // <gtk-type-query>,
    // <gtk-enum-value>,
    // <gtk-class-init-func>, <gtk-object-init-func>,
    // <gtk-signal-func>, <gtk-function>,
    // <gtk-destroy-notify>, <gtk-callback-marshal>,
    // <gtk-signal-marshaller>,
    gtk-type-init, gtk-type-unique,
    gtk-type-set-chunk-alloc,
    gtk-type-name, gtk-type-from-name,
    gtk-type-parent, gtk-type-class,
    gtk-type-parent-class,
    gtk-type-children-types,
    gtk-type-new, gtk-type-free,
    gtk-type-describe-heritage,
    gtk-type-describe-tree,
    gtk-type-is-a,
    gtk-type-check-object-cast,
    gtk-type-check-class-cast,
    gtk-type-register-enum,
    gtk-type-register-flags,
    gtk-type-enum-get-values,
    gtk-type-flags-get-values,
    gtk-type-enum-find-value,
    gtk-type-flags-find-value,
    gtk-type-set-varargs-type,
    gtk-type-get-varargs-type,
    gtk-type-query,
    // <gtk-arg-info>,
    gtk-arg-new, gtk-arg-copy, gtk-arg-free,
    gtk-args-collect, gtk-args-collect-cleanup,
    gtk-arg-get-info, gtk-arg-type-new-static,
    gtk-args-query, gtk-arg-name-strip-type,
    gtk-arg-info-equal, gtk-arg-info-hash,
    // <gtk-object-flags>, <gtk-arg-flags>,
    // <gtk-object-class>,
    <gtk-object>,
    gtk-object-get-type,
    gtk-object-class-user-signal-new,
    gtk-object-class-user-signal-newv,
    gtk-object-new,
    gtk-object-newv,
    gtk-object-default-construct,
    gtk-object-constructed,
    gtk-object-sink,
    gtk-object-ref,
    gtk-object-unref,
    gtk-object-weakref,
    gtk-object-weakunref,
    gtk-object-destroy,
    gtk-object-getv,
    gtk-object-set,
    gtk-object-setv,
    gtk-object-query-args,
    gtk-object-set-data,
    gtk-object-set-data-full,
    gtk-object-remove-data,
    gtk-object-get-data,
    gtk-object-remove-no-notify,
    gtk-object-set-user-data,
    gtk-object-get-user-data,
    gtk-object-class-add-signals,
    gtk-object-add-arg-type,
    gtk-object-set-data-by-id,
    gtk-object-set-data-by-id-full,
    gtk-object-get-data-by-id,
    gtk-object-remove-data-by-id,
    gtk-object-remove-no-notify-by-id,
    gtk-object-data-try-key,
    gtk-object-data-force-id,
    gtk-object-arg-set,
    gtk-object-arg-get,
    gtk-object-args-collect,
    gtk-object-arg-get-info,
    gtk-trace-referencing,
    <gtk-accel-group>,
    // <gtk-accel-entry>,
    // <gtk-accel-flags>,
    gtk-accel-group-new,
    gtk-accel-group-get-default,
    gtk-accel-group-ref,
    gtk-accel-group-unref,
    gtk-accel-group-activate,
    gtk-accel-groups-activate,
    gtk-accel-group-attach,
    gtk-accel-group-detach,
    gtk-accel-group-lock,
    gtk-accel-group-unlock,
    gtk-accel-group-get-entry,
    gtk-accel-group-lock-entry,
    gtk-accel-group-unlock-entry,
    gtk-accel-group-add,
    gtk-accel-group-remove,
    gtk-accel-group-handle-add,
    gtk-accel-group-handle-remove,
    gtk-accel-group-create-add,
    gtk-accel-group-create-remove,
    // these exist in the header, but not the library.
    // gtk-accel-group-marshal-add,
    // gtk-accel-group-marshal-remove,
    gtk-accel-groups-from-object,
    gtk-accel-group-entries-from-object,
    gtk-accelerator-valid,
    gtk-accelerator-parse,
    gtk-accelerator-name,
    gtk-accelerator-set-default-mod-mask,
    gtk-accelerator-get-default-mod-mask,
    <gtk-accel-label>,
    // <gtk-accel-label-class>,
    gtk-accel-label-get-type,
    gtk-accel-label-new,
    gtk-accel-label-get-accel-width,
    gtk-accel-label-set-accel-widget,
    gtk-accel-label-refetch,
    <gtk-adjustment>,
    // <gtk-adjustment-class>,
    gtk-adjustment-get-type,
    gtk-adjustment-new,
    gtk-adjustment-changed,
    gtk-adjustment-value-changed,
    gtk-adjustment-clamp-page,
    gtk-adjustment-set-value,
    <gtk-alignment>,
    // <gtk-alignment-class>,
    gtk-alignment-get-type,
    gtk-alignment-new,
    gtk-alignment-set,
    <gtk-arrow>,
    // <gtk-arrow-class>,
    gtk-arrow-get-type,
    gtk-arrow-new,
    gtk-arrow-set,
    <gtk-aspect-frame>,
    // <gtk-aspect-frame-class>,
    gtk-aspect-frame-get-type,
    gtk-aspect-frame-new,
    gtk-aspect-frame-set,
    <gtk-button-box>,
    // <gtk-button-box-class>,
    gtk-button-box-get-type,
    gtk-button-box-get-child-size-default,
    gtk-button-box-get-child-ipadding-default,
    gtk-button-box-set-child-size-default,
    gtk-button-box-set-child-ipadding-default,
    gtk-button-box-get-spacing,
    gtk-button-box-get-layout,
    gtk-button-box-get-child-size,
    gtk-button-box-get-child-ipadding,
    gtk-button-box-set-spacing,
    gtk-button-box-set-layout,
    gtk-button-box-set-child-size,
    gtk-button-box-set-child-ipadding,
    gtk-button-box-child-requisition,
    <gtk-bin>,
    // <gtk-bin-class>,
    gtk-bin-get-type,
    // <gtk-pattern-spec>,
    gtk-pattern-spec-init,
    gtk-pattern-spec-free-segs,
    gtk-pattern-match,
    gtk-pattern-match-string,
    gtk-pattern-match-simple,
    // <gtk-binding-set>,
    // <gtk-binding-entry>,
    // <gtk-binding-signal>,
    // <gtk-binding-arg>,
    gtk-binding-set-new,
    gtk-binding-set-by-class,
    gtk-binding-set-find,
    gtk-bindings-activate,
    gtk-binding-set-activate,
    gtk-binding-entry-add,
    gtk-binding-entry-clear,
    gtk-binding-entry-add-signal,
    gtk-binding-set-add-path, // nonpublic methods not wrapped.
    <gtk-box>,
    // <gtk-box-class>,
    // <gtk-box-child>,
    gtk-box-get-type,
    gtk-box-pack-start,
    gtk-box-pack-end,
    gtk-box-pack-start-defaults,
    gtk-box-pack-end-defaults,
    gtk-box-set-homogeneous,
    gtk-box-set-spacing,
    gtk-box-reorder-child,
    gtk-box-query-child-packing,
    gtk-box-set-child-packing,
    <gtk-button>,
    // <gtk-button-class>,
    gtk-button-get-type,
    gtk-button-new,
    gtk-button-new-with-label,
    gtk-button-pressed,
    gtk-button-released,
    gtk-button-clicked,
    gtk-button-enter,
    gtk-button-leave,
    gtk-button-set-relief,
    gtk-button-get-relief,
    <gtk-calendar>,
    // <gtk-calendar-class>,
    gtk-calendar-get-type,
    gtk-calendar-new,
    gtk-calendar-select-month,
    gtk-calendar-select-day,
    gtk-calendar-mark-day,
    gtk-calendar-unmark-day,
    gtk-calendar-clear-marks,
    gtk-calendar-display-options,
    gtk-calendar-get-date,
    gtk-calendar-freeze,
    gtk-calendar-thaw,
    <gtk-check-button>,
    // <gtk-check-button-class>,
    gtk-check-button-get-type,
    gtk-check-button-new,
    gtk-check-button-new-with-label,
    <gtk-check-menu-item>,
    // <gtk-check-menu-item-class>,
    gtk-check-menu-item-get-type,
    gtk-check-menu-item-new,
    gtk-check-menu-item-new-with-label,
    gtk-check-menu-item-set-active,
    gtk-check-menu-item-set-show-toggle,
    gtk-check-menu-item-toggled,
    $gtk-clist-in-drag, $gtk-clist-row-height-set,
    $gtk-clist-show-titles, $gtk-clist-child-has-focus,
    $gtk-clist-add-mode, $gtk-clist-auto-sort,
    $gtk-clist-auto-resize-blocked, $gtk-clist-reorderable,
    $gtk-clist-use-drag-icons, $gtk-clist-draw-drag-line,
    $gtk-clist-draw-drag-rect,
    // <gtk-cell-type>,
    $gtk-cell-empty, $gtk-cell-text, $gtk-cell-pixmap,
    $gtk-cell-pixtext, $gtk-cell-widget,
    // <gtk-c-list-drag-pos>,
    $gtk-clist-drag-none, $gtk-clist-drag-before,
    $gtk-clist-drag-into, $gtk-clist-drag-after,
    // <gtk-button-action>,
    $gtk-button-ignored, $gtk-button-selects,
    $gtk-button-drags, $gtk-button-expands,
    <gtk-c-list>,
    // <gtk-c-list-class>,
    // <gtk-c-list-column>,
    // <gtk-c-list-row>,
    // <gtk-cell>,
    // <gtk-celltext>,
    // <gtk-cellpixmap>,
    // <gtk-cellpixtext>,
    // <gtk-cellwidget>,
    // <gtk-c-list-cell-info>,
    // <gtk-c-list-dest-info>,
    gtk-clist-get-type,
    gtk-clist-construct,
    gtk-clist-new,
    gtk-clist-new-with-titles,
    gtk-clist-set-hadjustment,
    gtk-clist-set-vadjustment,
    gtk-clist-set-shadow-type,
    gtk-clist-set-selection-mode,
    gtk-clist-set-reorderable,
    gtk-clist-set-use-drag-icons,
    gtk-clist-set-button-actions,
    gtk-clist-freeze,
    gtk-clist-thaw,
    gtk-clist-column-titles-show,
    gtk-clist-column-titles-hide,
    gtk-clist-column-title-active,
    gtk-clist-column-title-passive,
    gtk-clist-column-titles-active,
    gtk-clist-column-titles-passive,
    gtk-clist-set-column-title,
    gtk-clist-set-column-widget,
    gtk-clist-get-column-widget,
    gtk-clist-set-column-justification,
    gtk-clist-set-column-visibility,
    gtk-clist-set-column-resizeable,
    gtk-clist-set-column-auto-resize,
    gtk-clist-columns-autosize,
    gtk-clist-optimal-column-width,
    gtk-clist-set-column-width,
    gtk-clist-set-column-min-width,
    gtk-clist-set-column-max-width,
    gtk-clist-set-row-height,
    gtk-clist-moveto,
    gtk-clist-row-is-visible,
    gtk-clist-get-cell-type,
    gtk-clist-set-text,
    gtk-clist-get-text,
    gtk-clist-set-pixmap,
    gtk-clist-get-pixmap,
    gtk-clist-set-pixtext,
    gtk-clist-get-pixtext,
    gtk-clist-set-foreground,
    gtk-clist-set-background,
    gtk-clist-set-cell-style,
    gtk-clist-get-cell-style,
    gtk-clist-set-row-style,
    gtk-clist-get-row-style,
    gtk-clist-set-shift,
    gtk-clist-set-selectable,
    gtk-clist-get-selectable,
    gtk-clist-prepend,
    gtk-clist-append,
    gtk-clist-insert,
    gtk-clist-remove,
    gtk-clist-set-row-data,
    gtk-clist-set-row-data-full,
    gtk-clist-get-row-data,
    gtk-clist-find-row-from-data,
    gtk-clist-select-row,
    gtk-clist-unselect-row,
    gtk-clist-undo-selection,
    gtk-clist-clear,
    gtk-clist-get-selection-info,
    gtk-clist-select-all,
    gtk-clist-unselect-all,
    gtk-clist-swap-rows,
    gtk-clist-row-move,
    gtk-clist-set-compare-func,
    gtk-clist-set-sort-column,
    gtk-clist-set-sort-type,
    gtk-clist-sort,
    gtk-clist-set-auto-sort,
    <gtk-color-selection>,
    // <gtk-color-selection-class>,
    // <gtk-color-selection-dialog>,
    // <gtk-color-selection-dialog-class>,
    gtk-color-selection-get-type,
    gtk-color-selection-new,
    gtk-color-selection-set-update-policy,
    gtk-color-selection-set-opacity,
    gtk-color-selection-set-color,
    gtk-color-selection-get-color,
    gtk-color-selection-dialog-get-type,
    gtk-color-selection-dialog-new,
    <gtk-combo>,
    // <gtk-combo-class>,
    gtk-combo-get-type,
    gtk-combo-new,
    gtk-combo-set-value-in-list,
    gtk-combo-set-use-arrows,
    gtk-combo-set-use-arrows-always,
    gtk-combo-set-case-sensitive,
    gtk-combo-set-item-string,
    gtk-combo-set-popdown-strings,
    gtk-combo-disable-activate,
    <gtk-container>,
    // <gtk-container-class>,
    gtk-container-get-type,
    gtk-container-border-width,
    gtk-container-set-border-width,
    gtk-container-add,
    gtk-container-remove,
    gtk-container-set-resize-mode,
    gtk-container-check-resize,
    gtk-container-foreach,
    gtk-container-foreach-full,
    gtk-container-children,
    gtk-container-focus,
    gtk-container-set-focus-child,
    gtk-container-set-focus-vadjustment,
    gtk-container-set-focus-hadjustment,
    gtk-container-register-toplevel,
    gtk-container-unregister-toplevel,
    gtk-container-get-toplevels,
    gtk-container-resize-children,
    gtk-container-child-type,
    gtk-container-add-child-arg-type,
    gtk-container-query-child-args,
    gtk-container-child-getv,
    gtk-container-child-setv,
    gtk-container-add-with-args,
    gtk-container-addv,
    gtk-container-child-set,
    gtk-container-queue-resize,
    gtk-container-clear-resize-widgets,
    gtk-container-arg-set,
    gtk-container-arg-get,
    gtk-container-child-args-collect,
    gtk-container-child-arg-get-info,
    gtk-container-forall,
    gtk-container-child-composite-name,
    // <gtk-c-tree-pos>,
    $gtk-ctree-pos-before, $gtk-ctree-pos-as-child,
    $gtk-ctree-pos-after,
    // <gtk-c-tree-line-style>,
    $gtk-ctree-lines-none, $gtk-ctree-lines-solid,
    $gtk-ctree-lines-dotted, $gtk-ctree-lines-tabbed,
    // <gtk-c-tree-expander-style>,
    $gtk-ctree-expander-none, $gtk-ctree-expander-square,
    $gtk-ctree-expander-triangle, $gtk-ctree-expander-circular,
    // <gtk-c-tree-expansion-type>,
    $gtk-ctree-expansion-expand,
    $gtk-ctree-expansion-expand-recursive,
    $gtk-ctree-expansion-collapse,
    $gtk-ctree-expansion-collapse-recursive,
    $gtk-ctree-expansion-toggle,
    $gtk-ctree-expansion-toggle-recursive,
    <gtk-c-tree>,
    // <gtk-c-tree-class>,
    // <gtk-c-tree-row>,
    // <gtk-c-tree-node>,
    // <gtk-c-tree-func>, <gtk-c-tree-g-node-func>,
    // <gtk-c-tree-compare-drag-func>,
    gtk-ctree-get-type,
    gtk-ctree-construct,
    gtk-ctree-new-with-titles,
    gtk-ctree-new,
    gtk-ctree-insert-node,
    gtk-ctree-remove-node,
    gtk-ctree-insert-gnode,
    gtk-ctree-export-to-gnode,
    gtk-ctree-post-recursive,
    gtk-ctree-post-recursive-to-depth,
    gtk-ctree-pre-recursive,
    gtk-ctree-pre-recursive-to-depth,
    gtk-ctree-is-viewable,
    gtk-ctree-last,
    gtk-ctree-find-node-ptr,
    gtk-ctree-node-nth,
    gtk-ctree-find,
    gtk-ctree-is-ancestor,
    gtk-ctree-find-by-row-data,
    gtk-ctree-find-all-by-row-data,
    gtk-ctree-find-by-row-data-custom,
    gtk-ctree-find-all-by-row-data-custom,
    gtk-ctree-is-hot-spot,
    gtk-ctree-move,
    gtk-ctree-expand,
    gtk-ctree-expand-recursive,
    gtk-ctree-expand-to-depth,
    gtk-ctree-collapse,
    gtk-ctree-collapse-recursive,
    gtk-ctree-collapse-to-depth,
    gtk-ctree-toggle-expansion,
    gtk-ctree-toggle-expansion-recursive,
    gtk-ctree-select,
    gtk-ctree-select-recursive,
    gtk-ctree-unselect,
    gtk-ctree-unselect-recursive,
    gtk-ctree-real-select-recursive,
    gtk-ctree-node-set-text,
    gtk-ctree-node-set-pixmap,
    gtk-ctree-node-set-pixtext,
    gtk-ctree-set-node-info,
    gtk-ctree-node-set-shift,
    gtk-ctree-node-set-selectable,
    gtk-ctree-node-get-selectable,
    gtk-ctree-node-get-cell-type,
    gtk-ctree-node-get-text,
    gtk-ctree-node-get-pixmap,
    gtk-ctree-node-get-pixtext,
    gtk-ctree-get-node-info,
    gtk-ctree-node-set-row-style,
    gtk-ctree-node-get-row-style,
    gtk-ctree-node-set-cell-style,
    gtk-ctree-node-get-cell-style,
    gtk-ctree-node-set-foreground,
    gtk-ctree-node-set-background,
    gtk-ctree-node-set-row-data,
    gtk-ctree-node-set-row-data-full,
    gtk-ctree-node-get-row-data,
    gtk-ctree-node-moveto,
    gtk-ctree-node-is-visible,
    gtk-ctree-set-indent,
    gtk-ctree-set-spacing,
    gtk-ctree-set-show-stub,
    gtk-ctree-set-line-style,
    gtk-ctree-set-expander-style,
    gtk-ctree-set-drag-compare-func,
    gtk-ctree-sort-node,
    gtk-ctree-sort-recursive,
    <gtk-curve>,
    // <gtk-curve-class>,
    gtk-curve-get-type,
    gtk-curve-new,
    gtk-curve-reset,
    gtk-curve-set-gamma,
    gtk-curve-set-range,
    gtk-curve-get-vector,
    gtk-curve-set-vector,
    gtk-curve-set-curve-type,
    <gtk-data>,
    // <gtk-data-class>,
    gtk-data-get-type,
    <gtk-dialog>,
    // <gtk-dialog-class>,
    <gtk-dialog-button>,
    gtk-dialog-get-type,
    gtk-dialog-new,
    // <gtk-dest-defaults>,
    $gtk-dest-default-motion, $gtk-dest-default-highlight,
    $gtk-dest-default-drop, $gtk-dest-default-all,
    // <gtk-target-flags>,
    $gtk-target-same-app, $gtk-target-same-widget,
    gtk-drag-get-data,
    gtk-drag-finish,
    gtk-drag-get-source-widget,
    gtk-drag-highlight,
    gtk-drag-unhighlight,
    gtk-drag-dest-set,
    gtk-drag-dest-set-proxy,
    gtk-drag-dest-unset,
    gtk-drag-source-set,
    gtk-drag-source-unset,
    gtk-drag-source-set-icon,
    gtk-drag-begin,
    gtk-drag-set-icon-widget,
    gtk-drag-set-icon-pixmap,
    gtk-drag-set-icon-default,
    gtk-drag-set-default-icon,
    gtk-drag-source-handle-event,
    gtk-drag-dest-handle-event,
    <gtk-drawing-area>,
    // <gtk-drawing-area-class>,
    gtk-drawing-area-get-type,
    gtk-drawing-area-new,
    gtk-drawing-area-size,
    <gtk-editable>,
    // <gtk-editable-class>,
    // <gtk-text-function>,
    gtk-editable-get-type,
    gtk-editable-select-region,
    gtk-editable-insert-text,
    gtk-editable-delete-text,
    gtk-editable-get-chars,
    gtk-editable-cut-clipboard,
    gtk-editable-copy-clipboard,
    gtk-editable-paste-clipboard,
    gtk-editable-claim-selection,
    gtk-editable-delete-selection,
    gtk-editable-changed,
    gtk-editable-set-position,
    gtk-editable-get-position,
    gtk-editable-set-editable,
    <gtk-entry>,
    // <gtk-entry-class>,
    gtk-entry-get-type,
    gtk-entry-new,
    gtk-entry-new-with-max-length,
    gtk-entry-append-text,
    gtk-entry-prepend-text,
    gtk-entry-set-position,
    gtk-entry-get-text,
    gtk-entry-select-region,
    gtk-entry-set-visibility,
    gtk-entry-set-editable,
    gtk-entry-set-max-length,
    <gtk-event-box>,
    // <gtk-event-box-class>,
    gtk-event-box-get-type,
    gtk-event-box-new,
    $gtk-major-version, $gtk-minor-version, $gtk-micro-version,
    $gtk-binary-age, $gtk-interface-age,
    $gtk-have-container-focus-adjustments,
    $gtk-have-signal-init,
    $gtk-have-features-1-1-0, $gtk-have-features-1-1-2,
    $gtk-have-features-1-1-4, $gtk-have-features-1-1-5,
    $gtk-have-features-1-1-6, $gtk-have-features-1-1-7,
    $gtk-have-features-1-1-8, $gtk-have-features-1-1-9,
    $gtk-have-features-1-1-10, $gtk-have-features-1-1-11,
    $gtk-have-features-1-1-12, $gtk-have-features-1-1-13,
    <gtk-fileselection>,
    // <gtk-fileselection-class>,
    gtk-file-selection-get-type,
    gtk-file-selection-new,
    gtk-file-selection-set-filename,
    gtk-file-selection-get-filename,
    gtk-file-selection-complete,
    gtk-file-selection-show-fileop-buttons,
    gtk-file-selection-hide-fileop-buttons,
    <gtk-fixed>,
    // <gtk-fixed-class>,
    // <gtk-fixed-child>,
    gtk-fixed-get-type,
    gtk-fixed-new,
    gtk-fixed-put,
    gtk-fixed-move,
    <gtk-font-selection>,
    // <gtk-font-selection-class>,
    // <gtk-font-selection-dialog>,
    // <gtk-font-selection-dialog-class>,
    $gtk-num-font-properties, $gtk-num-style-properties,
    // <gtk-font-metric-type>,
    $gtk-font-metric-pixels, $gtk-font-metric-points,
    // <gtk-font-type>,
    $gtk-font-bitmap, $gtk-font-scalable,
    $gtk-font-scalable-bitmap,
    // <gtk-font-filter-type>,
    $gtk-font-filter-base, $gtk-font-filter-user,
    // <gtk-font-filter>,
    gtk-font-selection-get-type,
    gtk-font-selection-new,
    gtk-font-selection-get-font-name,
    gtk-font-selection-get-font,
    gtk-font-selection-set-font-name,
    gtk-font-selection-set-filter,
    gtk-font-selection-get-preview-text,
    gtk-font-selection-set-preview-text,
    gtk-font-selection-dialog-get-type,
    gtk-font-selection-dialog-new,
    gtk-font-selection-dialog-get-font-name,
    gtk-font-selection-dialog-get-font,
    gtk-font-selection-dialog-set-font-name,
    gtk-font-selection-dialog-set-filter,
    gtk-font-selection-dialog-get-preview-text,
    gtk-font-selection-dialog-set-preview-text,
    <gtk-frame>,
    // <gtk-frame-class>,
    gtk-frame-get-type,
    gtk-frame-new,
    gtk-frame-set-label,
    gtk-frame-set-label-align,
    gtk-frame-set-shadow-type,
    <gtk-gamma-curve>,
    // <gtk-gamma-curve-class>,
    gtk-gamma-curve-get-type,
    gtk-gamma-curve-new,
    gtk-gc-get, gtk-gc-release,
    <gtk-handle-box>,
    // <gtk-handle-box-class>,
    gtk-handle-box-get-type,
    gtk-handle-box-new,
    gtk-handle-box-set-shadow-type,
    <gtk-h-button-box>,
    // <gtk-h-button-box-class>,
    gtk-hbutton-box-get-type,
    gtk-hbutton-box-new,
    gtk-hbutton-box-get-spacing-default,
    gtk-hbutton-box-get-layout-default,
    gtk-hbutton-box-set-spacing-default,
    gtk-hbutton-box-set-layout-default,
    <gtk-h-box>,
    // <gtk-h-box-class>,
    gtk-hbox-get-type, gtk-hbox-new,
    <gtk-h-paned>,
    // <gtk-h-paned-class>,
    gtk-hpaned-get-type,
    gtk-hpaned-new,
    <gtk-h-ruler>,
    // <gtk-h-ruler-class>,
    gtk-hruler-get-type,
    gtk-hruler-new,
    <gtk-h-scale>,
    // <gtk-h-scale-class>,
    gtk-hscale-get-type,
    gtk-hscale-new,
    <gtk-h-scrollbar>,
    // <gtk-h-scrollbar-class>,
    gtk-hscrollbar-get-type,
    gtk-hscrollbar-new,
    <gtk-h-separator>,
    // <gtk-h-separator-class>,
    gtk-hseparator-get-type,
    gtk-hseparator-new,
    <gtk-image>,
    // <gtk-image-class>,
    gtk-image-get-type,
    gtk-image-new,
    gtk-image-set,
    gtk-image-get,
    <gtk-input-dialog>,
    // <gtk-input-dialog-class>,
    gtk-input-dialog-get-type,
    gtk-input-dialog-new,
    <gtk-item>,
    // <gtk-item-class>,
    gtk-item-get-type,
    gtk-item-select,
    gtk-item-deselect,
    gtk-item-toggle,
    <gtk-print-func>,
    // <gtk-translate-func>,
    <gtk-item-factory-callback>,
    // <gtk-item-factory-callback1>,
    <gtk-item-factory>,
    // <gtk-item-factory-class>,
    // <gtk-item-factory-entry>,
    // <gtk-item-factory-item>,
    gtk-item-factory-get-type,
    gtk-item-factory-new,
    gtk-item-factory-construct,
    gtk-item-factory-parse-rc,
    gtk-item-factory-parse-rc-string,
    gtk-item-factory-parse-rc-scanner,
    gtk-item-factory-from-widget,
    gtk-item-factory-path-from-widget,
    gtk-item-factory-get-widget,
    gtk-item-factory-get-widget-by-action,
    gtk-item-factory-dump-items,
    gtk-item-factory-dump-rc,
    gtk-item-factory-print-func,
    gtk-item-factory-create-item,
    gtk-item-factory-create-items,
    gtk-item-factory-delete-item,
    gtk-item-factory-delete-entry,
    gtk-item-factory-delete-entries,
    gtk-item-factory-popup,
    gtk-item-factory-popup-with-data,
    gtk-item-factory-popup-data,
    gtk-item-factory-popup-data-from-widget,
    gtk-item-factory-set-translate-func,
    gtk-item-factory-from-path,
    gtk-item-factory-create-menu-entries,
    gtk-item-factories-path-delete,
    // <gtk-item-factory-callback2>,
    gtk-item-factory-create-items-ac,
    <gtk-label>,
    // <gtk-label-class>,
    // <gtk-label-word>,
    gtk-label-get-type,
    gtk-label-new,
    gtk-label-set-text,
    gtk-label-set-justify,
    gtk-label-set-pattern,
    gtk-label-set-line-wrap,
    gtk-label-get,
    gtk-label-parse-uline,
    <gtk-layout>,
    // <gtk-layout-class>,
    // <gtk-layout-child>,
    gtk-layout-get-type,
    gtk-layout-new,
    gtk-layout-put,
    gtk-layout-move,
    gtk-layout-set-size,
    gtk-layout-freeze,
    gtk-layout-thaw,
    gtk-layout-get-hadjustment,
    gtk-layout-get-vadjustment,
    gtk-layout-set-hadjustment,
    gtk-layout-set-vadjustment,
    <gtk-list>,
    // <gtk-list-class>,
    gtk-list-get-type,
    gtk-list-new,
    gtk-list-insert-items,
    gtk-list-append-items,
    gtk-list-prepend-items,
    gtk-list-remove-items,
    gtk-list-remove-items-no-unref,
    gtk-list-clear-items,
    gtk-list-select-item,
    gtk-list-unselect-item,
    gtk-list-select-child,
    gtk-list-unselect-child,
    gtk-list-child-position,
    gtk-list-set-selection-mode,
    gtk-list-extend-selection,
    gtk-list-start-selection,
    gtk-list-end-selection,
    gtk-list-select-all,
    gtk-list-unselect-all,
    gtk-list-scroll-horizontal,
    gtk-list-scroll-vertical,
    gtk-list-toggle-add-mode,
    gtk-list-toggle-focus-row,
    gtk-list-toggle-row,
    gtk-list-undo-selection,
    gtk-list-end-drag-selection,
    <gtk-list-item>,
    // <gtk-list-item-class>,
    gtk-list-item-get-type,
    gtk-list-item-new,
    gtk-list-item-new-with-label,
    gtk-list-item-select,
    gtk-list-item-deselect,
    $gtk-priority-redraw, $gtk-priority-resize,
    $gtk-priority-high, $gtk-priority-internal,
    $gtk-priority-default, $gtk-priority-low,
    // <gtk-module-init-func>, <gtk-key-snoop-func>,
    gtk-major-version, gtk-minor-version,
    gtk-micro-version, gtk-binary-age,
    gtk-interface-age, gtk-check-version,
    gtk-init, gtk-exit, gtk-set-locale,
    gtk-events-pending, gtk-main-do-event,
    gtk-main, gtk-main-level, gtk-main-quit,
    gtk-main-iteration, gtk-main-iteration-do,
    gtk-true, gtk-false, gtk-grab-add,
    gtk-grab-get-current, gtk-grab-remove,
    gtk-init-add, gtk-quit-add-destroy,
    gtk-quit-add, gtk-quit-add-full,
    gtk-quit-remove, gtk-quit-remove-by-data,
    gtk-timeout-add, gtk-timeout-add-full,
    gtk-timeout-remove, gtk-idle-add,
    gtk-idle-add-priority, gtk-idle-add-full,
    gtk-idle-remove, gtk-idle-add-full,
    gtk-idle-remove, gtk-idle-remove-by-data,
    gtk-input-add-full, gtk-input-remove,
    gtk-key-snooper-install, gtk-key-snooper-remove,
    gtk-get-current-event, gtk-get-event-widget,
    gtk-propagate-event,
    gtk-marshal-bool--none,
    gtk-marshal-bool--pointer,
    gtk-marshal-bool--pointer-pointer-int-int,
    gtk-marshal-bool--pointer-int-int,
    gtk-marshal-bool--pointer-int-int-uint, // etc.
    <gtk-menu>,
    // <gtk-menu-class>,
    // <gtk-menu-position-func>,
    // <gtk-menu-detach-func>,
    gtk-menu-get-type,
    gtk-menu-new,
    gtk-menu-append,
    gtk-menu-prepend,
    gtk-menu-insert,
    gtk-menu-popup,
    gtk-menu-reposition,
    gtk-menu-popdown,
    gtk-menu-get-active,
    gtk-menu-set-active,
    gtk-menu-set-accel-group,
    gtk-menu-attach-to-widget,
    gtk-menu-detach,
    gtk-menu-get-attach-widget,
    gtk-menu-set-tearoff-state,
    <gtk-menu-bar>,
    // <gtk-menu-bar-class>,
    gtk-menu-bar-get-type,
    gtk-menu-bar-new,
    gtk-menu-bar-append,
    gtk-menu-bar-prepend,
    gtk-menu-bar-insert,
    gtk-menu-bar-set-shadow-type,
    <gtk-menu-entry>,
    // <gtk-menu-path>,
    // <gtk-menu-factory>,
    // <gtk-menu-callback>,
    gtk-menu-factory-new,
    gtk-menu-factory-destroy,
    gtk-menu-factory-add-entries,
    gtk-menu-factory-add-subfactory,
    gtk-menu-factory-remove-paths,
    gtk-menu-factory-remove-entries,
    gtk-menu-factory-remove-subfactory,
    gtk-menu-factory-find,
    <gtk-menu-item>,
    // <gtk-menu-item-class>,
    gtk-menu-item-get-type,
    gtk-menu-item-new,
    gtk-menu-item-new-with-label,
    gtk-menu-item-set-submenu,
    gtk-menu-item-remove-submenu,
    gtk-menu-item-set-placement,
    gtk-menu-item-configure,
    gtk-menu-item-select,
    gtk-menu-item-deselect,
    gtk-menu-item-activate,
    gtk-menu-item-right-justify,
    <gtk-menu-shell>,
    // <gtk-menu-shell-class>,
    gtk-menu-shell-get-type,
    gtk-menu-shell-append,
    gtk-menu-shell-prepend,
    gtk-menu-shell-insert,
    gtk-menu-shell-deactivate,
    gtk-menu-shell-select-item,
    gtk-menu-shell-activate-item,
    <gtk-misc>,
    // <gtk-misc-class>,
    gtk-misc-get-type,
    gtk-misc-set-alignment,
    gtk-misc-set-padding,
    <gtk-notebook>,
    // <gtk-notebook-class>,
    // <gtk-notebook-page>,
    gtk-notebook-get-type,
    gtk-notebook-new,
    gtk-notebook-append-page,
    gtk-notebook-append-page-menu,
    gtk-notebook-prepend-page,
    gtk-notebook-prepend-page-menu,
    gtk-notebook-insert-page,
    gtk-notebook-insert-page-menu,
    gtk-notebook-remove-page,
    gtk-notebook-get-current-page,
    gtk-notebook-get-nth-page,
    gtk-notebook-page-num,
    gtk-notebook-set-page,
    gtk-notebook-next-page,
    gtk-notebook-prev-page,
    gtk-notebook-set-show-border,
    gtk-notebook-set-show-tabs,
    gtk-notebook-set-tab-pos,
    gtk-notebook-set-homogeneous-tabs,
    gtk-notebook-set-tab-border,
    gtk-notebook-set-tab-hborder,
    gtk-notebook-set-tab-vborder,
    gtk-notebook-set-scrollable,
    gtk-notebook-popup-enable,
    gtk-notebook-popup-disable,
    gtk-notebook-get-tab-label,
    gtk-notebook-set-tab-label,
    gtk-notebook-set-tab-label-text,
    gtk-notebook-get-menu-label,
    gtk-notebook-set-menu-label,
    gtk-notebook-set-menu-label-text,
    gtk-notebook-query-tab-label-packing,
    gtk-notebook-set-tab-label-packing,
    gtk-notebook-reorder-child,
    <gtk-option-menu>,
    // <gtk-option-menu-class>,
    gtk-option-menu-get-type,
    gtk-option-menu-new,
    gtk-option-menu-get-menu,
    gtk-option-menu-set-menu,
    gtk-option-menu-remove-menu,
    gtk-option-menu-set-history,
    <gtk-packer>,
    // <gtk-packer-class>,
    // <gtk-packer-child>,
    // <gtk-packer-options>,
    $gtk-pack-expand, $gtk-fill-x, $gtk-fill-y,
    // <gtk-side-type>,
    $gtk-side-top, $gtk-side-bottom,
    $gtk-side-left, $gtk-side-right,
    // <gtk-anchor-type>,
    $gtk-anchor-center, $gtk-anchor-north,
    $gtk-anchor-north-west, $gtk-anchor-north-east,
    $gtk-anchor-south, $gtk-anchor-south-west,
    $gtk-anchor-south-east, $gtk-anchor-west,
    $gtk-anchor-east, $gtk-anchor-n, $gtk-anchor-nw,
    $gtk-anchor-ne, $gtk-anchor-s, $gtk-anchor-sw,
    $gtk-anchor-se, $gtk-anchor-w, $gtk-anchor-e,
    gtk-packer-get-type,
    gtk-packer-new,
    gtk-packer-add-defaults,
    gtk-packer-add,
    gtk-packer-set-child-packing,
    gtk-packer-reorder-child,
    gtk-packer-set-spacing,
    gtk-packer-set-default-border-width,
    gtk-packer-set-default-pad,
    gtk-packer-set-default-ipad,
    <gtk-paned>,
    // <gtk-paned-class>,
    gtk-paned-get-type,
    gtk-paned-add1,
    gtk-paned-add2,
    gtk-paned-pack1,
    gtk-paned-pack2,
    gtk-paned-set-position,
    gtk-paned-set-handle-size,
    gtk-paned-set-gutter-size,
    gtk-paned-compute-position,
    <gtk-pixmap>,
    // <gtk-pixmap-class>,
    gtk-pixmap-get-type,
    gtk-pixmap-new,
    gtk-pixmap-set,
    gtk-pixmap-get,
    gtk-pixmap-set-build-insensitive,
    <gtk-plug>,
    // <gtk-plug-class>,
    // <gtk-plug-button>,
    gtk-plug-get-type,
    gtk-plug-construct,
    gtk-plug-new,
    <gtk-preview>,
    // <gtk-preview-info>,
    // -gtkditherinfo,
    // <gtk-preview-class>,
    gtk-preview-get-type,
    gtk-preview-uninit,
    gtk-preview-new,
    gtk-preview-size,
    gtk-preview-put,
    gtk-preview-draw-row,
    gtk-preview-set-expand,
    gtk-preview-set-gamma,
    gtk-preview-set-color-cube,
    gtk-preview-set-install-cmap,
    gtk-preview-set-reserved,
    gtk-preview-set-dither,
    gtk-preview-get-visual,
    gtk-preview-get-cmap,
    gtk-preview-get-info,
    gtk-preview-reset,
    <gtk-progress>,
    // <gtk-progress-class>,
    gtk-progress-get-type,
    gtk-progress-set-show-text,
    gtk-progress-set-text-alignment,
    gtk-progress-set-format-string,
    gtk-progress-set-adjustment,
    gtk-progress-configure,
    gtk-progress-set-percentage,
    gtk-progress-set-value,
    gtk-progress-get-value,
    gtk-progress-set-activity-mode,
    gtk-progress-get-current-text,
    gtk-progress-get-text-from-value,
    gtk-progress-get-current-percentage,
    gtk-progress-get-percentage-from-value,
    <gtk-progress-bar>,
    // <gtk-progress-bar-class>,
    // <gtk-progress-bar-style>,
    $gtk-progress-continuous, $gtk-progress-discrete,
    // <gtk-progress-bar-orientation>,
    $gtk-progress-left-to-right, $gtk-progress-right-to-left,
    $gtk-progress-bottom-to-top, $gtk-progress-top-to-bottom,
    gtk-progress-bar-get-type,
    gtk-progress-bar-new,
    gtk-progress-bar-new-with-adjustment,
    gtk-progress-bar-set-bar-style,
    gtk-progress-bar-set-discrete-blocks,
    gtk-progress-bar-set-activity-step,
    gtk-progress-bar-set-activity-blocks,
    gtk-progress-bar-set-orientation,
    gtk-progress-bar-update,
    <gtk-radio-button>,
    // <gtk-radio-button-class>,
    gtk-radio-button-get-type,
    gtk-radio-button-new,
    gtk-radio-button-new-from-widget,
    gtk-radio-button-new-with-label,
    gtk-radio-button-new-with-label-from-widget,
    gtk-radio-button-group,
    gtk-radio-button-set-group,
    <gtk-radio-menu-item>,
    // <gtk-radio-menu-item-class>,
    gtk-radio-menu-item-get-type,
    gtk-radio-menu-item-new,
    gtk-radio-menu-item-new-with-label,
    gtk-radio-menu-item-group,
    gtk-radio-menu-item-set-group,
    <gtk-range>,
    // <gtk-range-class>,
    gtk-range-get-type,
    gtk-range-get-adjustment,
    gtk-range-set-update-policy,
    gtk-range-set-adjustment,
    gtk-range-draw-background,
    gtk-range-clear-background,
    gtk-range-draw-trough,
    gtk-range-draw-slider,
    gtk-range-draw-step-forw,
    gtk-range-draw-step-back,
    gtk-range-slider-update,
    gtk-range-trough-click,
    gtk-range-default-hslider-update,
    gtk-range-default-vslider-update,
    gtk-range-default-htrough-click,
    gtk-range-default-vtrough-click,
    gtk-range-default-hmotion,
    gtk-range-default-vmotion,
    // <gtk-rc-flags>,
    $gtk-rc-fg, $gtk-rc-bg, $gtk-rc-text, $gtk-rc-base,
    // <gtk-rc-style>,
    gtk-rc-init, gtk-rc-add-default-file,
    gtk-rc-set-default-files, gtk-rc-get-default-files,
    gtk-rc-parse, gtk-rc-parse-string,
    gtk-rc-reparse-all, gtk-rc-get-style,
    gtk-rc-add-widget-name-style,
    gtk-rc-add-widget-class-style,
    gtk-rc-add-class-style,
    gtk-rc-style-new, gtk-rc-style-ref, gtk-rc-style-unref,
    // <gtk-image-loader>,
    gtk-rc-set-image-loader, gtk-rc-load-image,
    gtk-rc-find-pixmap-in-path, gtk-rc-find-module-in-path,
    gtk-rc-get-theme-dir, gtk-rc-get-module-dir,
    // <gtk-rc-token-type>,
    $gtk-rc-token-invalid, $gtk-rc-token-include,
    $gtk-rc-token-normal, $gtk-rc-token-active,
    $gtk-rc-token-prelight, $gtk-rc-token-selected,
    $gtk-rc-token-insensitive, $gtk-rc-token-fg,
    $gtk-rc-token-bg, $gtk-rc-token-base,
    $gtk-rc-token-text, $gtk-rc-token-font,
    $gtk-rc-token-fontset, $gtk-rc-token-bg-pixmap,
    $gtk-rc-token-pixmap-path, $gtk-rc-token-style,
    $gtk-rc-token-binding, $gtk-rc-token-bind,
    $gtk-rc-token-widget, $gtk-rc-token-widget-class,
    $gtk-rc-token-class, $gtk-rc-token-lowest,
    $gtk-rc-token-gtk, $gtk-rc-token-application,
    $gtk-rc-token-rc, $gtk-rc-token-highest,
    $gtk-rc-token-engine, $gtk-rc-token-module-path,
    $gtk-rc-token-last,
    gtk-rc-parse-color, gtk-rc-parse-state,
    gtk-rc-parse-priority,
    <gtk-ruler>,
    // <gtk-ruler-class>,
    // <gtk-ruler-metric>,
    gtk-ruler-get-type,
    gtk-ruler-set-metric,
    gtk-ruler-set-range,
    gtk-ruler-draw-ticks,
    gtk-ruler-draw-pos,
    <gtk-scale>,
    // <gtk-scale-class>,
    gtk-scale-get-type,
    gtk-scale-set-digits,
    gtk-scale-set-draw-value,
    gtk-scale-set-value-pos,
    gtk-scale-get-value-width,
    gtk-scale-draw-value,
    <gtk-scrollbar>,
    // <gtk-scrollbar-class>,
    gtk-scrollbar-get-type,
    // <gtk-scrolled-window>,
    // <gtk-scrolled-window-class>,
    gtk-scrolled-window-get-type,
    gtk-scrolled-window-new,
    gtk-scrolled-window-set-hadjustment,
    gtk-scrolled-window-set-vadjustment,
    gtk-scrolled-window-get-hadjustment,
    gtk-scrolled-window-get-vadjustment,
    gtk-scrolled-window-set-policy,
    gtk-scrolled-window-set-placement,
    gtk-scrolled-window-add-with-viewport,
    // <gtk-selection-data>,
    // <gtk-target-list>,
    // <gtk-target-entry>,
    // <gtk-target-pair>,
    gtk-target-list-new,
    gtk-target-list-ref,
    gtk-target-list-unref,
    gtk-target-list-add,
    gtk-target-list-add-table,
    gtk-target-list-remove,
    gtk-target-list-find,
    gtk-selection-owner-set,
    gtk-selection-add-target,
    gtk-selection-add-targets,
    gtk-selection-convert,
    gtk-selection-data-set,
    gtk-selection-remove-all,
    gtk-selection-clear,
    gtk-selection-request,
    gtk-selection-incr-event,
    gtk-selection-notify,
    gtk-selection-property-notify,
    gtk-selection-data-copy,
    gtk-selection-data-free,
    <gtk-separator>,
    // <gtk-separator-class>,
    gtk-separator-get-type,
    // <gtk-signal-marshal>, <gtk-signal-destroy>,
    // <gtk-emission-hook>,
    // <gtk-signal-query>,
    gtk-signal-init,
    gtk-signal-new,
    gtk-signal-newv,
    gtk-signal-lookup,
    gtk-signal-name,
    gtk-signal-emit,
    gtk-signal-emit-by-name,
    gtk-signal-emitv,
    gtk-signal-emitv-by-name,
    gtk-signal-n-emissions,
    gtk-signal-n-emissions-by-name,
    gtk-signal-emit-stop,
    gtk-signal-emit-stop-by-name,
    gtk-signal-connect,
    gtk-signal-connect-after,
    gtk-signal-connect-object,
    gtk-signal-connect-object-after,
    gtk-signal-connect-full,
    gtk-signal-connect-object-while-alive,
    gtk-signal-connect-while-alive,
    gtk-signal-disconnect,
    gtk-signal-disconnect-by-data,
    gtk-signal-handler-block,
    gtk-signal-handler-block-by-func,
    gtk-signal-handler-block-by-data,
    gtk-signal-handler-unblock,
    gtk-signal-handler-unblock-by-func,
    gtk-signal-handler-unblock-by-data,
    gtk-signal-handler-pending,
    gtk-signal-handler-pending-by-func,
    gtk-signal-handlers-destroy,
    gtk-signal-add-emission-hook,
    gtk-signal-add-emission-hook-full,
    gtk-signal-remove-emission-hook,
    gtk-signal-set-funcs,
    gtk-signal-query,
    <gtk-socket>,
    // <gtk-socket-class>,
    gtk-socket-new,
    gtk-socket-get-type,
    gtk-socket-steal,
    // <gtk-spin-button-update-policy>,
    $gtk-update-always, $gtk-update-if-valid,
    // <gtk-spin-type>,
    $gtk-spin-step-forward, $gtk-spin-step-backward,
    $gtk-spin-page-forward, $gtk-spin-page-backward,
    $gtk-spin-home, $gtk-spin-end,
    $gtk-spin-user-defined,
    <gtk-spin-button>,
    // <gtk-spin-button-class>,
    gtk-spin-button-get-type,
    gtk-spin-button-configure,
    gtk-spin-button-new,
    gtk-spin-button-set-adjustment,
    gtk-spin-button-get-adjustment,
    gtk-spin-button-set-digits,
    gtk-spin-button-get-value-as-float,
    gtk-spin-button-get-value-as-int,
    gtk-spin-button-set-value,
    gtk-spin-button-set-update-policy,
    gtk-spin-button-set-numeric,
    gtk-spin-button-spin,
    gtk-spin-button-set-wrap,
    gtk-spin-button-set-shadow-type,
    gtk-spin-button-set-snap-to-ticks,
    gtk-spin-button-update,
    <gtk-statusbar>,
    // <gtk-statusbar-class>,
    // <gtk-statusbar-msg>,
    gtk-statusbar-get-type,
    gtk-statusbar-new,
    gtk-statusbar-get-context-id,
    gtk-statusbar-push,
    gtk-statusbar-pop,
    gtk-statusbar-remove,
    <gtk-style>,
    // <gtk-style-class>,
    gtk-style-new,
    gtk-style-copy,
    gtk-style-attach,
    gtk-style-detach,
    gtk-style-ref,
    gtk-style-unref,
    gtk-style-set-background,
    gtk-style-apply-default-background,
    gtk-draw-hline,
    gtk-draw-vline,
    gtk-draw-shadow,
    gtk-draw-polygon,
    gtk-draw-arrow,
    gtk-draw-diamond,
    gtk-draw-oval,
    gtk-draw-string,
    gtk-draw-box,
    gtk-draw-flat-box,
    gtk-draw-check,
    gtk-draw-option,
    gtk-draw-cross,
    gtk-draw-ramp,
    gtk-draw-tab,
    gtk-draw-shadow-gap,
    gtk-draw-box-gap,
    gtk-draw-extension,
    gtk-draw-focus,
    gtk-draw-slider,
    gtk-draw-handle,
    gtk-paint-hline,
    gtk-paint-vline,
    gtk-paint-shadow,
    gtk-paint-polygon,
    gtk-paint-arrow,
    gtk-paint-diamond,
    gtk-paint-oval,
    gtk-paint-string,
    gtk-paint-box,
    gtk-paint-flat-box,
    gtk-paint-check,
    gtk-paint-option,
    gtk-paint-cross,
    gtk-paint-ramp,
    gtk-paint-tab,
    gtk-paint-shadow-gap,
    gtk-paint-box-gap,
    gtk-paint-extension,
    gtk-paint-focus,
    gtk-paint-slider,
    gtk-paint-handle,
    <gtk-table>,
    // <gtk-table-class>,
    // <gtk-table-child>,
    // <gtk-table-row-col>,
    gtk-table-get-type,
    gtk-table-new,
    gtk-table-resize,
    gtk-table-attach,
    gtk-table-attach-defaults,
    gtk-table-set-row-spacing,
    gtk-table-set-col-spacing,
    gtk-table-set-row-spacings,
    gtk-table-set-col-spacings,
    gtk-table-set-homogeneous,
    <gtk-tearoff-menu-item>,
    // <gtk-tearoff-menu-item-class>,
    gtk-tearoff-menu-item-get-type,
    gtk-tearoff-menu-item-new,
    // <gtk-text-font>,
    // <gtk-propertymark>,
    <gtk-text>,
    // <gtk-text-class>,
    gtk-text-get-type,
    gtk-text-new,
    gtk-text-set-editable,
    gtk-text-set-word-wrap,
    gtk-text-set-line-wrap,
    gtk-text-set-adjustments,
    gtk-text-set-point,
    gtk-text-get-point,
    gtk-text-get-length,
    gtk-text-freeze,
    gtk-text-thaw,
    gtk-text-insert,
    gtk-text-backward-delete,
    gtk-text-forward-delete,
//    <gtk--theme-engine>,
//    gtk-theme-engine-get,
//    gtk-theme-engine-ref,
//    gtk-theme-engine-unref,
//    gtk-themes-init,
//    gtk-themes-exit,
    <gtk-tips-query>,
    // <gtk-tips-query-class>,
    gtk-tips-query-get-type,
    gtk-tips-query-new,
    gtk-tips-query-start-query,
    gtk-tips-query-stop-query,
    gtk-tips-query-set-caller,
    gtk-tips-query-set-labels,
    <gtk-toggle-button>,
    // <gtk-toggle-button-class>,
    gtk-toggle-button-get-type,
    gtk-toggle-button-new,
    gtk-toggle-button-new-with-label,
    gtk-toggle-button-set-mode,
    gtk-toggle-button-set-active,
    gtk-toggle-button-toggled,
    // <gtk-toolbar-child-type>,
    $gtk-toolbar-child-space, $gtk-toolbar-child-button,
    $gtk-toolbar-child-togglebutton,
    $gtk-toolbar-child-radiobutton, $gtk-toolbar-child-widget,
    // <gtk-toolbar-space-style>,
    $gtk-toolbar-space-empty, $gtk-toolbar-space-line,
    // <gtk-toolbar-child>,
    <gtk-toolbar>,
    // <gtk-toolbar-class>,
    gtk-toolbar-get-type,
    gtk-toolbar-new,
    gtk-toolbar-append-item,
    gtk-toolbar-prepend-item,
    gtk-toolbar-insert-item,
    gtk-toolbar-append-space,
    gtk-toolbar-prepend-space,
    gtk-toolbar-insert-space,
    gtk-toolbar-append-widget,
    gtk-toolbar-prepend-widget,
    gtk-toolbar-insert-widget,
    gtk-toolbar-set-orientation,
    gtk-toolbar-set-style,
    gtk-toolbar-set-space-size,
    gtk-toolbar-set-space-style,
    gtk-toolbar-set-tooltips,
    gtk-toolbar-set-button-relief,
    <gtk-tooltips>,
    // <gtk-tooltips-class>,
    // <gtk-tooltips-data>,
    gtk-tooltips-get-type,
    gtk-tooltips-new,
    gtk-tooltips-enable,
    gtk-tooltips-disable,
    gtk-tooltips-set-delay,
    gtk-tooltips-set-tip,
    gtk-tooltips-set-colors,
    gtk-tooltips-data-get,
    gtk-tooltips-force-window,
    // <gtk-tree-view-mode>,
    $gtk-tree-view-line, $gtk-tree-view-item,
    <gtk-tree>,
    // <gtk-tree-class>,
    gtk-tree-get-type, gtk-tree-new,
    gtk-tree-append,
    gtk-tree-prepend,
    gtk-tree-insert,
    gtk-tree-remove-items,
    gtk-tree-clear-items,
    gtk-tree-select-item,
    gtk-tree-unselect-item,
    gtk-tree-select-child,
    gtk-tree-unselect-child,
    gtk-tree-child-position,
    gtk-tree-set-selection-mode,
    gtk-tree-set-view-mode,
    gtk-tree-remove-item,
    <gtk-tree-item>,
    // <gtk-tree-item-class>,
    gtk-tree-item-get-type,
    gtk-tree-item-new,
    gtk-tree-item-new-with-label,
    gtk-tree-item-set-subtree,
    gtk-tree-item-remove-subtree,
    gtk-tree-item-select,
    gtk-tree-item-deselect,
    gtk-tree-item-expand,
    gtk-tree-item-collapse,
    <gtk-v-button-box>,
    // <gtk-v-button-box-class>,
    gtk-vbutton-box-get-type,
    gtk-vbutton-box-new,
    gtk-vbutton-box-get-spacing-default,
    gtk-vbutton-box-set-spacing-default,
    gtk-vbutton-box-get-layout-default,
    gtk-vbutton-box-set-layout-default,
    <gtk-v-box>,
    // <gtk-v-box-class>,
    gtk-vbox-get-type,
    gtk-vbox-new,
    <gtk-viewport>,
    // <gtk-viewport-class>,
    gtk-viewport-get-type,
    gtk-viewport-new,
    gtk-viewport-get-hadjustment,
    gtk-viewport-get-vadjustment,
    gtk-viewport-set-hadjustment,
    gtk-viewport-set-vadjustment,
    gtk-viewport-set-shadow-type,
    <gtk-v-paned>,
    // <gtk-v-paned-class>,
    gtk-vpaned-get-type,
    gtk-vpaned-new,
    <gtk-v-ruler>,
    // <gtk-v-ruler-class>,
    gtk-vruler-get-type,
    gtk-vruler-new,
    <gtk-v-scale>,
    // <gtk-v-scale-class>,
    gtk-vscale-get-type,
    gtk-vscale-new,
    <gtk-v-scrollbar>,
    // <gtk-v-scrollbar-class>,
    gtk-vscrollbar-get-type,
    gtk-vscrollbar-new,
    <gtk-v-separator>,
    // <gtk-v-separator-class>,
    gtk-vseparator-get-type,
    gtk-vseparator-new,
    // <gtk-widget-flags>,
    $gtk-toplevel, $gtk-no-window, $gtk-realized,
    $gtk-mapped, $gtk-visible, $gtk-sensitive,
    $gtk-parent-sensitive, $gtk-can-focus,
    $gtk-has-focus, $gtk-can-default, $gtk-has-default,
    $gtk-has-grab, $gtk-rc-style, $gtk-composite-child,
    $gtk-no-reparent, $gtk-app-paintable,
    // <gtk-requisition>,
    // <gtk-allocation>,
    // <gtk-selection-data>,
    <gtk-widget>,
    <gtk-widget-class>,
    // <gtk-widget-aux-info>,
    // <gtk-widget-shape-info>,
    // <gtk-callback>,
    gtk-widget-get-type,
    gtk-widget-new,
    gtk-widget-newv,
    gtk-widget-ref,
    gtk-widget-unref,
    gtk-widget-destroy,
    gtk-widget-destroyed,
    gtk-widget-get,
    gtk-widget-getv,
    gtk-widget-set,
    gtk-widget-setv,
    gtk-widget-unparent,
    gtk-widget-show,
    gtk-widget-show-now,
    gtk-widget-hide,
    gtk-widget-show-all,
    gtk-widget-hide-all,
    gtk-widget-map,
    gtk-widget-unmap,
    gtk-widget-realize,
    gtk-widget-unrealize,
    gtk-widget-queue-draw,
    gtk-widget-queue-draw-area,
    gtk-widget-queue-clear,
    gtk-widget-queue-clear-area,
    gtk-widget-queue-resize,
    gtk-widget-draw,
    gtk-widget-draw-focus,
    gtk-widget-draw-default,
    gtk-widget-size-request,
    gtk-widget-add-accelerator,
    gtk-widget-remove-accelerator,
    gtk-widget-remove-accelerators,
    gtk-widget-accelerator-signal,
    gtk-widget-lock-accelerators,
    gtk-widget-unlock-accelerators,
    gtk-widget-event,
    gtk-widget-popup,
    gtk-widget-intersect,
    gtk-widget-grab-focus,
    gtk-widget-grab-default,
    gtk-widget-set-name,
    gtk-widget-get-name,
    gtk-widget-set-state,
    gtk-widget-set-sensitive,
    gtk-widget-set-app-paintable,
    gtk-widget-set-parent,
    gtk-widget-set-parent-window,
    gtk-widget-set-uposition,
    gtk-widget-set-events,
    gtk-widget-add-events,
    gtk-widget-set-extension-events,
    gtk-widget-get-extension-events,
    gtk-widget-get-toplevel,
    gtk-widget-get-ancestor,
    gtk-widget-get-colormap,
    gtk-widget-get-visual,
    gtk-widget-get-events,
    gtk-widget-get-pointer,
    gtk-widget-is-ancestor,
    gtk-widget-hide-on-delete,
    gtk-widget-set-style,
    gtk-widget-set-rc-style,
    gtk-widget-ensure-style,
    gtk-widget-get-style,
    gtk-widget-restore-default-style,
    gtk-widget-modify-style,
    gtk-widget-set-composite-name,
    gtk-widget-get-composite-name,
    gtk-widget-reset-rc-styles,
    gtk-widget-push-style,
    gtk-widget-push-colormap,
    gtk-widget-push-visual,
    gtk-widget-push-composite-child,
    gtk-widget-pop-composite-child,
    gtk-widget-pop-style,
    gtk-widget-pop-colormap,
    gtk-widget-pop-visual,
    gtk-widget-set-default-style,
    gtk-widget-set-default-colormap,
    gtk-widget-set-default-visual,
    gtk-widget-get-default-style,
    gtk-widget-get-default-colormap,
    gtk-widget-get-default-visual,
    gtk-widget-shape-combine-mask,
    gtk-widget-reset-shapes,
    gtk-widget-path,
    <gtk-window>,
    // <gtk-window-class>,
    gtk-window-get-type,
    gtk-window-new,
    gtk-window-set-title,
    gtk-window-set-wmclass,
    gtk-window-set-focus,
    gtk-window-set-default,
    gtk-window-set-policy,
    gtk-window-add-accel-group,
    gtk-window-remove-accel-group,
    gtk-window-set-position,
    gtk-window-activate-focus,
    gtk-window-activate-default,
    gtk-window-set-transient-for,
    gtk-window-set-geometry-hints,
    gtk-window-set-default-size,
    gtk-window-set-modal,
    gtk-window-remove-embedded-xid,
    gtk-window-add-embedded-xid;
end module Gtk-Base;